Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class FetchPathImpl<Z,X>

    java.lang.Object
      org.apache.openjpa.persistence.criteria.SelectionImpl<X>
          org.apache.openjpa.persistence.criteria.ExpressionImpl<X>
              org.apache.openjpa.persistence.criteria.PathImpl<Z,X>
                  org.apache.openjpa.persistence.criteria.FetchPathImpl<Z,X>

Type Parameters:
  `Z` - type of parent
  `X` - type of this

All Implemented Interfaces:
  Expression<X>, Fetch<Z,X>, FetchParent<Z,X>, Path<X>, Selection<X>, TupleElement<X>, CriteriaExpression

     class FetchPathImpl<Z,X>

extends PathImpl<Z,X>
implements Fetch<Z,X>

Author:
  Pinaki Poddar

Field Summary
`protected Set<Fetch<?,?>>` | `_fetches`
`protected JoinType` | `joinType`

Fields inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`_member, _parent`

Constructor Summary
`FetchPathImpl(FetchParent<?,Z> parent, Members.Member<? super Z,X> member)`
`FetchPathImpl(FetchParent<?,Z> parent, Members.Member<? super Z,X> member, JoinType type)`

Method Summary
`StringBuilder` | `asValue(AliasContext q)` Get a string representation of this node as a value in the context of the given query.
`
`<Y> Fetch<X,Y>`
` | `fetch(PluralAttribute<? super X,?,Y> assoc)`
`
`<Y> Fetch<X,Y>`
` | `fetch(PluralAttribute<? super X,?,Y> assoc, JoinType jt)`
`
`<Y> Fetch<X,Y>`
` | `fetch(SingularAttribute<? super X,Y> assoc)`
`
`<Y> Fetch<X,Y>`
` | `fetch(SingularAttribute<? super X,Y> assoc, JoinType jt)`
`
`<X,Y> Fetch<X,Y>`
` | `fetch(String assocName)`
`
`<X,Y> Fetch<X,Y>`
` | `fetch(String assocName, JoinType jt)`
`Attribute<Z,X>` | `getAttribute()` Return the metamodel attribute corresponding to the fetch join.
`Set<Fetch<X,?>>` | `getFetches()`
`JoinType` | `getJoinType()`
`FetchParent<?,Z>` | `getParent()`

Methods inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`asVariable, get, get, get, get, getCorrelatedJoin, getCorrelatedPath, getCorrelatedRoot, getEmbeddedFieldMetaData, getInnermostMember, getInnermostParentPath, getMember, getModel, getParentPath, getType, inSubquery, isCorrelated, setCorrelatedPath, toValue, traversePath, type`

Methods inherited from class org.apache.openjpa.persistence.criteria.ExpressionImpl
`as, in, in, in, in, isNotNull, isNull, toKernelExpression`

Methods inherited from class org.apache.openjpa.persistence.criteria.SelectionImpl
`acceptVisit, alias, asProjection, assertValidName, getAlias, getCompoundSelectionItems, getJavaType, isAliased, isAutoAliased, isCompoundSelection, setAutoAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Field Detail

### _fetches

    protected Set<Fetch<?,?>> _fetches

### joinType

    protected JoinType joinType

Constructor Detail

### FetchPathImpl

    FetchPathImpl(FetchParent<?,Z> parent,
                  Members.Member<? super Z,X> member)

### FetchPathImpl

    FetchPathImpl(FetchParent<?,Z> parent,
                  Members.Member<? super Z,X> member,
                  JoinType type)

Method Detail

### getJoinType

    public JoinType getJoinType()

  Specified by:
    `getJoinType` in interface `Fetch<Z,X>`

### getAttribute

    public Attribute<Z,X> getAttribute()

  Return the metamodel attribute corresponding to the fetch join.

  Specified by:
    `getAttribute` in interface `Fetch<Z,X>`
  Returns:
    metamodel attribute for the join

### getParent

    public FetchParent<?,Z> getParent()

  Specified by:
    `getParent` in interface `Fetch<Z,X>`

### fetch

    public <Y> Fetch<X,Y> fetch(SingularAttribute<? super X,Y> assoc)

  Specified by:
    `fetch` in interface `FetchParent<Z,X>`

### fetch

    public <Y> Fetch<X,Y> fetch(PluralAttribute<? super X,?,Y> assoc)

  Specified by:
    `fetch` in interface `FetchParent<Z,X>`

### fetch

    public <X,Y> Fetch<X,Y> fetch(String assocName)

  Specified by:
    `fetch` in interface `FetchParent<Z,X>`

### fetch

    public <Y> Fetch<X,Y> fetch(SingularAttribute<? super X,Y> assoc,
                                JoinType jt)

  Specified by:
    `fetch` in interface `FetchParent<Z,X>`

### fetch

    public <Y> Fetch<X,Y> fetch(PluralAttribute<? super X,?,Y> assoc,
                                JoinType jt)

  Specified by:
    `fetch` in interface `FetchParent<Z,X>`

### fetch

    public <X,Y> Fetch<X,Y> fetch(String assocName,
                                  JoinType jt)

  Specified by:
    `fetch` in interface `FetchParent<Z,X>`

### getFetches

    public Set<Fetch<X,?>> getFetches()

  Specified by:
    `getFetches` in interface `FetchParent<Z,X>`

### asValue

    public StringBuilder asValue(AliasContext q)

  Description copied from interface: `CriteriaExpression`
  Get a string representation of this node as a value in the context of the given query.

  Specified by:
    `asValue` in interface `CriteriaExpression`
  Overrides:
    `asValue` in class `PathImpl<Z,X>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.